WPSStringStream Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPSStringStream Class Reference

internal class used to create a RVNGInputStream from a unsigned char's pointer More...

`#include <WPSStringStream.h>`

Inheritance diagram for WPSStringStream:

## Public Member Functions
| WPSStringStream (const unsigned char *data, const unsigned int dataSize)
| constructor More...
| ~WPSStringStream ()
| destructor More...
void | append (const unsigned char *data, const unsigned int dataSize)
| append some data at the end of the string More...
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
| ! reads numbytes data. More...
long | tell ()
| returns actual offset position More...
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
| seeks to a offset position, from actual, beginning or ending position More...
bool | isEnd ()
| returns true if we are at the end of the section/file More...
bool | isStructured ()
| returns true if the stream is ole More...
unsigned | subStreamCount ()
| returns the number of sub streams. More...
const char * | subStreamName (unsigned)
| returns the ith sub streams name More...
bool | existsSubStream (const char *name)
| returns true if a substream with name exists More...
librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
| return a new stream for a ole zone More...
librevenge::RVNGInputStream * | getSubStreamById (unsigned)
| return a new stream for a ole zone More...

## Private Member Functions
| WPSStringStream (const WPSStringStream &)
WPSStringStream & | operator= (const WPSStringStream &)

## Private Attributes
WPSStringStreamPrivate * | m_data
| the string stream data More...

## Detailed Description

internal class used to create a RVNGInputStream from a unsigned char's pointer

Note
  this class (highly inspired from librevenge) does not implement the isStructured's protocol, ie. it only returns false.

## Constructor & Destructor Documentation

## § WPSStringStream() [1/2]

WPSStringStream::WPSStringStream | ( | const unsigned char * | data,
|  | const unsigned int | dataSize
| ) |  |

constructor

## § ~WPSStringStream()

WPSStringStream::~WPSStringStream | ( |  | ) |

destructor

## § WPSStringStream() [2/2]

WPSStringStream::WPSStringStream | ( | const WPSStringStream & |  | ) |
| private

## Member Function Documentation

## § append()

void WPSStringStream::append | ( | const unsigned char * | data,
|  | const unsigned int | dataSize
| ) |  |

append some data at the end of the string

## § existsSubStream()

bool WPSStringStream::existsSubStream | ( | const char * | name | ) |

returns true if a substream with name exists

See also
  returns always false

## § getSubStreamById()

librevenge::RVNGInputStream * WPSStringStream::getSubStreamById | ( | unsigned |  | ) |

return a new stream for a ole zone

See also
  returns always 0

## § getSubStreamByName()

librevenge::RVNGInputStream * WPSStringStream::getSubStreamByName | ( | const char * | name | ) |

return a new stream for a ole zone

See also
  returns always 0

## § isEnd()

bool WPSStringStream::isEnd | ( |  | ) |

returns true if we are at the end of the section/file

## § isStructured()

bool WPSStringStream::isStructured | ( |  | ) |

returns true if the stream is ole

See also
  returns always false

## § operator=()

WPSStringStream& WPSStringStream::operator= | ( | const WPSStringStream & |  | ) |
| private

## § read()

const unsigned char * WPSStringStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

! reads numbytes data.

Returns
  a pointer to the read elements

## § seek()

int WPSStringStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

seeks to a offset position, from actual, beginning or ending position

Returns
  0 if ok

## § subStreamCount()

unsigned WPSStringStream::subStreamCount | ( |  | ) |

returns the number of sub streams.

See also
  returns always 0

## § subStreamName()

const char * WPSStringStream::subStreamName | ( | unsigned |  | ) |

returns the ith sub streams name

See also
  returns always 0

## § tell()

long WPSStringStream::tell | ( |  | ) |

returns actual offset position

## Member Data Documentation

## § m_data

WPSStringStreamPrivate* WPSStringStream::m_data
| private

the string stream data

Referenced by append(), isEnd(), read(), seek(), tell(), and ~WPSStringStream().

The documentation for this class was generated from the following files:

- WPSStringStream.h
- WPSStringStream.cpp